# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve Class Reference

`#include <PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve.hxx>`

Inheritance diagram for PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve ()
Standard_EXPORT | PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve (const Handle(PGeom2d_BoundedCurve)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom2d_BoundedCurve)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_BoundedCurve) _CSFDB_GetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurvemyValue() const
void | _CSFDB_SetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurvemyValue (const Handle(PGeom2d_BoundedCurve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom2d_BoundedCurve | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve | ( |  | ) |

Standard_EXPORT PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve | ( | const Handle(PGeom2d_BoundedCurve)& | aValue | ) |

PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::_CSFDB_SetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurvemyValue | ( | const Handle(PGeom2d_BoundedCurve)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::Handle | ( | PGeom2d_BoundedCurve |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::SetValue | ( | const Handle(PGeom2d_BoundedCurve)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_BoundedCurve PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve.hxx